// Code generated by applyconfiguration-gen. DO NOT EDIT.

package v1

import (
	apimachinev1 "github.com/openshift/api/machine/v1"
	internal "github.com/openshift/client-go/machine/applyconfigurations/internal"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	types "k8s.io/apimachinery/pkg/types"
	managedfields "k8s.io/apimachinery/pkg/util/managedfields"
	v1 "k8s.io/client-go/applyconfigurations/meta/v1"
)

// ControlPlaneMachineSetApplyConfiguration represents an declarative configuration of the ControlPlaneMachineSet type for use
// with apply.
type ControlPlaneMachineSetApplyConfiguration struct {
	v1.TypeMetaApplyConfiguration    `json:",inline"`
	*v1.ObjectMetaApplyConfiguration `json:"metadata,omitempty"`
	Spec                             *ControlPlaneMachineSetSpecApplyConfiguration   `json:"spec,omitempty"`
	Status                           *ControlPlaneMachineSetStatusApplyConfiguration `json:"status,omitempty"`
}

// ControlPlaneMachineSet constructs an declarative configuration of the ControlPlaneMachineSet type for use with
// apply.
func ControlPlaneMachineSet(name, namespace string) *ControlPlaneMachineSetApplyConfiguration {
	b := &ControlPlaneMachineSetApplyConfiguration{}
	b.WithName(name)
	b.WithNamespace(namespace)
	b.WithKind("ControlPlaneMachineSet")
	b.WithAPIVersion("machine.openshift.io/v1")
	return b
}

// ExtractControlPlaneMachineSet extracts the applied configuration owned by fieldManager from
// controlPlaneMachineSet. If no managedFields are found in controlPlaneMachineSet for fieldManager, a
// ControlPlaneMachineSetApplyConfiguration is returned with only the Name, Namespace (if applicable),
// APIVersion and Kind populated. It is possible that no managed fields were found for because other
// field managers have taken ownership of all the fields previously owned by fieldManager, or because
// the fieldManager never owned fields any fields.
// controlPlaneMachineSet must be a unmodified ControlPlaneMachineSet API object that was retrieved from the Kubernetes API.
// ExtractControlPlaneMachineSet provides a way to perform a extract/modify-in-place/apply workflow.
// Note that an extracted apply configuration will contain fewer fields than what the fieldManager previously
// applied if another fieldManager has updated or force applied any of the previously applied fields.
// Experimental!
func ExtractControlPlaneMachineSet(controlPlaneMachineSet *apimachinev1.ControlPlaneMachineSet, fieldManager string) (*ControlPlaneMachineSetApplyConfiguration, error) {
	return extractControlPlaneMachineSet(controlPlaneMachineSet, fieldManager, "")
}

// ExtractControlPlaneMachineSetStatus is the same as ExtractControlPlaneMachineSet except
// that it extracts the status subresource applied configuration.
// Experimental!
func ExtractControlPlaneMachineSetStatus(controlPlaneMachineSet *apimachinev1.ControlPlaneMachineSet, fieldManager string) (*ControlPlaneMachineSetApplyConfiguration, error) {
	return extractControlPlaneMachineSet(controlPlaneMachineSet, fieldManager, "status")
}

func extractControlPlaneMachineSet(controlPlaneMachineSet *apimachinev1.ControlPlaneMachineSet, fieldManager string, subresource string) (*ControlPlaneMachineSetApplyConfiguration, error) {
	b := &ControlPlaneMachineSetApplyConfiguration{}
	err := managedfields.ExtractInto(controlPlaneMachineSet, internal.Parser().Type("com.github.openshift.api.machine.v1.ControlPlaneMachineSet"), fieldManager, b, subresource)
	if err != nil {
		return nil, err
	}
	b.WithName(controlPlaneMachineSet.Name)
	b.WithNamespace(controlPlaneMachineSet.Namespace)

	b.WithKind("ControlPlaneMachineSet")
	b.WithAPIVersion("machine.openshift.io/v1")
	return b, nil
}

// WithKind sets the Kind field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Kind field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithKind(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.Kind = &value
	return b
}

// WithAPIVersion sets the APIVersion field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the APIVersion field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithAPIVersion(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.APIVersion = &value
	return b
}

// WithName sets the Name field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Name field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithName(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.Name = &value
	return b
}

// WithGenerateName sets the GenerateName field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the GenerateName field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithGenerateName(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.GenerateName = &value
	return b
}

// WithNamespace sets the Namespace field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Namespace field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithNamespace(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.Namespace = &value
	return b
}

// WithUID sets the UID field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the UID field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithUID(value types.UID) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.UID = &value
	return b
}

// WithResourceVersion sets the ResourceVersion field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the ResourceVersion field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithResourceVersion(value string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.ResourceVersion = &value
	return b
}

// WithGeneration sets the Generation field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Generation field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithGeneration(value int64) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.Generation = &value
	return b
}

// WithCreationTimestamp sets the CreationTimestamp field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the CreationTimestamp field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithCreationTimestamp(value metav1.Time) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.CreationTimestamp = &value
	return b
}

// WithDeletionTimestamp sets the DeletionTimestamp field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the DeletionTimestamp field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithDeletionTimestamp(value metav1.Time) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.DeletionTimestamp = &value
	return b
}

// WithDeletionGracePeriodSeconds sets the DeletionGracePeriodSeconds field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the DeletionGracePeriodSeconds field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithDeletionGracePeriodSeconds(value int64) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	b.DeletionGracePeriodSeconds = &value
	return b
}

// WithLabels puts the entries into the Labels field in the declarative configuration
// and returns the receiver, so that objects can be build by chaining "With" function invocations.
// If called multiple times, the entries provided by each call will be put on the Labels field,
// overwriting an existing map entries in Labels field with the same key.
func (b *ControlPlaneMachineSetApplyConfiguration) WithLabels(entries map[string]string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	if b.Labels == nil && len(entries) > 0 {
		b.Labels = make(map[string]string, len(entries))
	}
	for k, v := range entries {
		b.Labels[k] = v
	}
	return b
}

// WithAnnotations puts the entries into the Annotations field in the declarative configuration
// and returns the receiver, so that objects can be build by chaining "With" function invocations.
// If called multiple times, the entries provided by each call will be put on the Annotations field,
// overwriting an existing map entries in Annotations field with the same key.
func (b *ControlPlaneMachineSetApplyConfiguration) WithAnnotations(entries map[string]string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	if b.Annotations == nil && len(entries) > 0 {
		b.Annotations = make(map[string]string, len(entries))
	}
	for k, v := range entries {
		b.Annotations[k] = v
	}
	return b
}

// WithOwnerReferences adds the given value to the OwnerReferences field in the declarative configuration
// and returns the receiver, so that objects can be build by chaining "With" function invocations.
// If called multiple times, values provided by each call will be appended to the OwnerReferences field.
func (b *ControlPlaneMachineSetApplyConfiguration) WithOwnerReferences(values ...*v1.OwnerReferenceApplyConfiguration) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	for i := range values {
		if values[i] == nil {
			panic("nil value passed to WithOwnerReferences")
		}
		b.OwnerReferences = append(b.OwnerReferences, *values[i])
	}
	return b
}

// WithFinalizers adds the given value to the Finalizers field in the declarative configuration
// and returns the receiver, so that objects can be build by chaining "With" function invocations.
// If called multiple times, values provided by each call will be appended to the Finalizers field.
func (b *ControlPlaneMachineSetApplyConfiguration) WithFinalizers(values ...string) *ControlPlaneMachineSetApplyConfiguration {
	b.ensureObjectMetaApplyConfigurationExists()
	for i := range values {
		b.Finalizers = append(b.Finalizers, values[i])
	}
	return b
}

func (b *ControlPlaneMachineSetApplyConfiguration) ensureObjectMetaApplyConfigurationExists() {
	if b.ObjectMetaApplyConfiguration == nil {
		b.ObjectMetaApplyConfiguration = &v1.ObjectMetaApplyConfiguration{}
	}
}

// WithSpec sets the Spec field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Spec field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithSpec(value *ControlPlaneMachineSetSpecApplyConfiguration) *ControlPlaneMachineSetApplyConfiguration {
	b.Spec = value
	return b
}

// WithStatus sets the Status field in the declarative configuration to the given value
// and returns the receiver, so that objects can be built by chaining "With" function invocations.
// If called multiple times, the Status field is set to the value of the last call.
func (b *ControlPlaneMachineSetApplyConfiguration) WithStatus(value *ControlPlaneMachineSetStatusApplyConfiguration) *ControlPlaneMachineSetApplyConfiguration {
	b.Status = value
	return b
}
