// Code generated by informer-gen. DO NOT EDIT.

package v1

import (
	"context"
	time "time"

	machinev1 "github.com/openshift/api/machine/v1"
	versioned "github.com/openshift/client-go/machine/clientset/versioned"
	internalinterfaces "github.com/openshift/client-go/machine/informers/externalversions/internalinterfaces"
	v1 "github.com/openshift/client-go/machine/listers/machine/v1"
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
	watch "k8s.io/apimachinery/pkg/watch"
	cache "k8s.io/client-go/tools/cache"
)

// ControlPlaneMachineSetInformer provides access to a shared informer and lister for
// ControlPlaneMachineSets.
type ControlPlaneMachineSetInformer interface {
	Informer() cache.SharedIndexInformer
	Lister() v1.ControlPlaneMachineSetLister
}

type controlPlaneMachineSetInformer struct {
	factory          internalinterfaces.SharedInformerFactory
	tweakListOptions internalinterfaces.TweakListOptionsFunc
	namespace        string
}

// NewControlPlaneMachineSetInformer constructs a new informer for ControlPlaneMachineSet type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewControlPlaneMachineSetInformer(client versioned.Interface, namespace string, resyncPeriod time.Duration, indexers cache.Indexers) cache.SharedIndexInformer {
	return NewFilteredControlPlaneMachineSetInformer(client, namespace, resyncPeriod, indexers, nil)
}

// NewFilteredControlPlaneMachineSetInformer constructs a new informer for ControlPlaneMachineSet type.
// Always prefer using an informer factory to get a shared informer instead of getting an independent
// one. This reduces memory footprint and number of connections to the server.
func NewFilteredControlPlaneMachineSetInformer(client versioned.Interface, namespace string, resyncPeriod time.Duration, indexers cache.Indexers, tweakListOptions internalinterfaces.TweakListOptionsFunc) cache.SharedIndexInformer {
	return cache.NewSharedIndexInformer(
		&cache.ListWatch{
			ListFunc: func(options metav1.ListOptions) (runtime.Object, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.MachineV1().ControlPlaneMachineSets(namespace).List(context.TODO(), options)
			},
			WatchFunc: func(options metav1.ListOptions) (watch.Interface, error) {
				if tweakListOptions != nil {
					tweakListOptions(&options)
				}
				return client.MachineV1().ControlPlaneMachineSets(namespace).Watch(context.TODO(), options)
			},
		},
		&machinev1.ControlPlaneMachineSet{},
		resyncPeriod,
		indexers,
	)
}

func (f *controlPlaneMachineSetInformer) defaultInformer(client versioned.Interface, resyncPeriod time.Duration) cache.SharedIndexInformer {
	return NewFilteredControlPlaneMachineSetInformer(client, f.namespace, resyncPeriod, cache.Indexers{cache.NamespaceIndex: cache.MetaNamespaceIndexFunc}, f.tweakListOptions)
}

func (f *controlPlaneMachineSetInformer) Informer() cache.SharedIndexInformer {
	return f.factory.InformerFor(&machinev1.ControlPlaneMachineSet{}, f.defaultInformer)
}

func (f *controlPlaneMachineSetInformer) Lister() v1.ControlPlaneMachineSetLister {
	return v1.NewControlPlaneMachineSetLister(f.Informer().GetIndexer())
}
